#!/bin/sh

# Manually copy important utils to rootfs (into RAM)
# Please execute this script under terminal before unmount /share drive for maintenance this drive
# Note: rootfs contents will be restored after mediaplayer reboot

dir_this="/usr/ltu"

[ ! -d "$dir_this" ] && exit 1

# copy lib's to rootfs
cp -f "$dir_this/lib/libblkid.so.1.1.0" /lib/libblkid.so.1
cp -f "$dir_this/lib/libparted.so.1.0.0" /lib/libparted.so.1
cp -f "$dir_this/lib/libuuid.so.1.3.0" /lib/libuuid.so.1

# copy binaries to rootfs
cp -f "$dir_this/sbin/fdisk" /sbin
cp -f "$dir_this/sbin/blkid" /sbin
cp -f "$dir_this/sbin/parted" /sbin
cp -f "$dir_this/sbin/partprobe" /sbin
cp -f "$dir_this/sbin/e2fsck" /sbin
cp -f "$dir_this/sbin/fsck.ext2" /sbin
cp -f "$dir_this/sbin/fsck.ext3" /sbin
cp -f "$dir_this/sbin/mke2fs" /sbin
cp -f "$dir_this/sbin/mkfs.ext2" /sbin
cp -f "$dir_this/sbin/mkfs.ext3" /sbin
cp -f "$dir_this/sbin/tune2fs" /sbin
cp -f "$dir_this/sbin/e2label" /sbin

killall -q smartd
nut-stop

[ -f "$dir_this/configure" ] && . "$dir_this/configure"

if [ $START_LOGGER -eq 2 ] ; then
	killall -q klogd
	killall -q syslogd
fi

echo "Done."
