#!/bin/sh
#
# Pure-FTPd Server
#

BINPATH="/nmt/apps/bin"

func_start()
{
	# Make sure already running
	if [ -n "`pidof pure-ftpd`" ] ; then
		echo "Pure-FTPd already running!"
		return 0
	fi
	
	echo -n "Starting FTP Server..."
	$BINPATH/nmt_services.cgi cmd=ftp_passwd opt=ftpuser > /dev/null 2> /dev/null
	$BINPATH/pure-ftpd -B -D -H -j -lpuredb:/etc/pureftpd.pdb -U 133:022 -c 10 -k 100 -I 1440 -f none -w
	if [ $? -eq 0 ] ; then
		echo "[  OK  ]"
	else
		echo "[FAILED]"
	fi
}

func_stop()
{
	echo -n "Stopping FTP Server..."
	killall -q pure-ftpd
	echo "[  OK  ]"
}

case "$1" in
start)
	func_start
	;;
stop)
	func_stop
	;;
restart|reload)
	func_stop
	sleep 1
	func_start
	;;
*)
	echo "Usage: $0 {start|stop|restart}"
	exit 1
esac

exit $?

