#!/bin/sh

############################################################################
### this script called before start transmission-daemon
### note: for cancel start transmission use exit with result != 0
############################################################################

func_wait_drive()
{
	# wait for mount target drive maximum 30 sec
	timeout_sec=30
	
	if [ "$1" != "" ] ; then
		dst_drive="/$1"
		i=0
		while [ $i -le $timeout_sec ] && [ ! -d "$dst_drive" ] ; do
			i=$(( $i + 1 ))
			sleep 1
		done
	fi
}

func_bind_drive()
{
	if [ "$1" != "" -a "$2" != "" -a "$3" != "" ] ; then
		dst_drive="/$1"
		dst_dir="${dst_drive}$2"
		src_dir="$3"
		if [ -d "$dst_drive" ] ; then
			mkdir -p -m 777 "$dst_dir"
			mkdir -p -m 777 "$src_dir"
			if mountpoint -q "$src_dir" ; then
				umount "$src_dir"
			fi
			mount -o bind "$dst_dir" "$src_dir"
		fi
	fi
}

############################################################################
### Example:
### 1. wait while system mounted drive SATA_DISK_B1
#func_wait_drive "SATA_DISK_B1"

### 2. bind directory /Download/Video on SATA_DISK_B1 to /share/Download
#func_bind_drive "SATA_DISK_B1" "/Download/Video" "/share/Download"




exit 0
